Subject: bug#24866: AucTeX not working on Emacs 25.1.1 for Mac

From: Lars Eriksson <[email-masked]>
Date: Sat, 19 Nov 2016 20:57:14 +0100

Dear Mosè,

Thank you for caring about this, and pointing me to git bisect. Sorry for taking so long time to respond but I had to make a business trip to China and did not have access to this computer for testing. I am now back and I have now run a git bisect (for the first time in my life) and received the following, results.
I have not analyzed what the difference is between the versions but it its clear that it touches the preview… I do not know why it causes the error on Mac...

Best,
Lars 

~/Src/auctex $ git bisect good
3fdeb4b8de31702d4c58b063cd9536284bb27ff7 is the first bad commit
commit 3fdeb4b8de31702d4c58b063cd9536284bb27ff7
Author: Tassilo Horn <[email-masked]>
Date:   Fri Aug 7 17:54:58 2015 +0200

    Setup preview differently; fixes bug#21188
    
    * latex.el (TeX-latex-mode): Call `LaTeX-preview-setup'
    unconditionally instead of calling it from `LaTeX-mode-hook' which
    breaks things if that hook is customized (bug#21188).
    
    * preview.el.in: Don't add `LaTeX-preview-setup' to
    `LaTeX-mode-hook'.

:100644 100644 8ff70975fc8294c4aaa10ea85c646309b1bb1427 8e92d51a5e68dcf256012010adc267126e43fdc8 M	ChangeLog
:100644 100644 0fb1641f98fb72e80dad950d2ab18fbfa54b6cc2 fee3f8b7b43a751f4dc9fa17796d67e236f5620b M	latex.el
:100644 100644 9dded29a41f252e299171d8a9a35878728ab44ae b26cf0a50655b1b32364be19d7777243d07c38ed M	preview.el.in

~/Src/auctex $ git bisect log
git bisect start
# good: [4f02339fd36004e9e8c53e475a9cfe0e012b7780] Release_11.88
git bisect good 4f02339fd36004e9e8c53e475a9cfe0e012b7780
# bad: [df7dbbd3a029f02042b4fa01725c4a1f4502ff56] Release_11.89
git bisect bad df7dbbd3a029f02042b4fa01725c4a1f4502ff56
# good: [11d759de56d27efab320ae3738003a9fe2e45701] More font-lock fix for verbatim environment args.
git bisect good 11d759de56d27efab320ae3738003a9fe2e45701
# bad: [f4c5af9a2bfb64fc62a6319c903f7a96dc9052a8] Fix loading of polyglossia language style files.
git bisect bad f4c5af9a2bfb64fc62a6319c903f7a96dc9052a8
# bad: [2648a5807bf6567b86ecd9342a39d439c7288b38] New function to read labels.
git bisect bad 2648a5807bf6567b86ecd9342a39d439c7288b38
# good: [609470047cfbfffa91e81cd8a3c38f57b9d80ff9] Restore deleted preview README.
git bisect good 609470047cfbfffa91e81cd8a3c38f57b9d80ff9
# good: [166e14bf5496e2c8a85bcefb1786c7ae9e474a14] Fix a typo in the name of provided env's.
git bisect good 166e14bf5496e2c8a85bcefb1786c7ae9e474a14
# bad: [be9f14a1726b74848186b921ed6dc4f89f7cd4ac] Add the missing starred version of \AddEnumerateCounter.
git bisect bad be9f14a1726b74848186b921ed6dc4f89f7cd4ac
# bad: [3fdeb4b8de31702d4c58b063cd9536284bb27ff7] Setup preview differently; fixes bug#21188
git bisect bad 3fdeb4b8de31702d4c58b063cd9536284bb27ff7
# good: [e351a3a6ad8bcb15c959d77227849f50cd5d8de9] Add missing commands `
ameref*' and `\Nameref'.
git bisect good e351a3a6ad8bcb15c959d77227849f50cd5d8de9
# first bad commit: [3fdeb4b8de31702d4c58b063cd9536284bb27ff7] Setup preview differently; fixes bug#21188

> 8 nov. 2016 kl. 00:27 skrev Mosè Giordano <[email-masked]>:
> 
> Hi Lars,
> 
> 2016-11-08 0:02 GMT+01:00 Lars Eriksson <[email-masked]>:
>> Hi Mosè,
>> 
>> I have now tested AucTeX (from git) on Emacs 25.1-1 on Mac and I am sorry to say that adding load paths did not help in my case. Same error, independent of load path. I have tried both without and with the addition of one and both of the following load paths before loading auctex.el
>> (add-to-list 'load-path "/Applications/Emacs.app/Contents/Resources/site-lisp")
>> (add-to-list 'load-path "/Applications/Emacs.app/Contents/Resources/site-lisp/auctex")
>> (load "auctex.el" nil t t)
>> 
>> From the debugger output below I have found that the error is encountered when it evaluates TeX-latex-mode() in the file latex.el.
> 
> That's no surprise, since it's the only place where the function is
> called ;-)  The point is that the function should be called only if
> it's available, but when it's called it turns out that it's not
> actually there.
> 
> If you're familiar with git, can you please run git bisect in order to
> look for the offending revision?  You can use "release_11_88" as good
> revision, and "release_11_89" as the bad one.
> 
> Thanks,
> Mosè